pk-category-obj
3
PACKAGEKIT Library

# pk-category-obj

Functionality to create a category struct

## Synopsis

    PkCategoryObj *     pk_category_obj_new                 (void);
    PkCategoryObj *     pk_category_obj_copy                (const PkCategoryObj *obj);
    PkCategoryObj *     pk_category_obj_new_from_data       (const gchar *parent_id,
                                                             const gchar *cat_id,
                                                             const gchar *name,
                                                             const gchar *summary,
                                                             const gchar *icon);
    gboolean            pk_category_obj_free                (PkCategoryObj *obj);

## Description

## Details

### pk_category_obj_new ()

    PkCategoryObj *     pk_category_obj_new                 (void);

Creates a new PkCategoryObj object with default values

Returns :

  a new PkCategoryObj object

### pk_category_obj_copy ()

    PkCategoryObj *     pk_category_obj_copy                (const PkCategoryObj *obj);

`obj` :

Returns :

  a new PkCategoryObj object

### pk_category_obj_new_from_data ()

    PkCategoryObj *     pk_category_obj_new_from_data       (const gchar *parent_id,
                                                             const gchar *cat_id,
                                                             const gchar *name,
                                                             const gchar *summary,
                                                             const gchar *icon);

Creates a new PkCategoryObj object with values.

`parent_id` :

`cat_id` :

`name` :

`summary` :

`icon` :

Returns :

  a new PkCategoryObj object

### pk_category_obj_free ()

    gboolean            pk_category_obj_free                (PkCategoryObj *obj);

`obj` :

  the PkCategoryObj object

Returns :

  `TRUE` if the PkCategoryObj object was freed.